List work item relations
GET/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/{work_item_id}/relations/
Retrieve all relationships for a work item, including blocking, blocked_by, duplicate, relates_to, start_before, start_after, finish_before, and finish_after relations.
Path parameters
work_item_id:requiredstringThe unique identifier of the work item.
project_id:requiredstringThe unique identifier of the project.
workspace_slug:requiredstringThe workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.
Query parameters
cursor:optionalstringPagination cursor for the next page of results.
expand:optionalstringComma-separated list of related fields to expand in the response.
fields:optionalstringComma-separated list of fields to include in the response.
order_by:optionalstringField to sort results by. Prefix it with - for descending order.
per_page:optionalintegerNumber of results per page. Defaults to 20, maximum 100.
Scopes
projects.work_items:read
List work item relations
bash
curl -X GET \
"https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/work-item-uuid/relations/?cursor=20:1:0&expand=assignees" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"python
import requests
response = requests.get(
"https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/work-item-uuid/relations/?cursor=20:1:0&expand=assignees",
headers={"X-API-Key": "your-api-key"}
)
print(response.json())javascript
const response = await fetch(
"https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/work-item-uuid/relations/?cursor=20:1:0&expand=assignees",
{
method: "GET",
headers: {
"X-API-Key": "your-api-key",
},
},
);
const data = await response.json();Response200
json
{
"blocking": ["550e8400-e29b-41d4-a716-446655440000", "550e8400-e29b-41d4-a716-446655440000"],
"blocked_by": ["550e8400-e29b-41d4-a716-446655440000"],
"duplicate": [],
"relates_to": ["550e8400-e29b-41d4-a716-446655440000"],
"start_after": [],
"start_before": ["550e8400-e29b-41d4-a716-446655440000"],
"finish_after": [],
"finish_before": []
}
